Bug 478747 - Do not include font files in generated doc
Do not include font files in generated doc
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: doxygen (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2009-01-04 10:31 EST by Nicolas Mailhot
Modified: 2009-09-07 12:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-07 12:31:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 566515 None None None Never

  None (edit)
Description Nicolas Mailhot 2009-01-04 10:31:54 EST
Doxygen adds font files to the documentation it generates. This pauses problems
to Fedora as fonts are bulky and can have conflicting legal constraints.

Duplicating the same font files in every doxygen-produced documentation just
exacerbates the problem.

Please stop distributing fonts within doxygen, and let the system manage fonts
for you.

See also bug #477402 and the referenced upstream bug
Comment 1 Bug Zapper 2009-06-09 06:34:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Ngo Than 2009-09-07 12:31:10 EDT
doxygen doesn't include any fonts!

Note You need to log in before you can comment on or make changes to this bug.